# OpenLayers.Layer.MultiMap

Note that MultiMap does not fully support the sphericalMercator option. See Ticket #953 for more details. Deprecated. Use OpenLayers.Layer.Bing instead. See #3063

#### Inherits from

- OpenLayers.Layer.EventPane
- OpenLayers.Layer.FixedZoomLevels

Summary

OpenLayers.Layer.MultiMap | Note that MultiMap does not fully support the sphericalMercator option.
Constants |
MIN_ZOOM_LEVEL | {Integer} 1
MAX_ZOOM_LEVEL | {Integer} 17
RESOLUTIONS | {Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection
Properties |
type | {?}
Constructor |
OpenLayers.Layer.MultiMap |
Functions |
getWarningHTML | {String} String with information on why layer is broken, how to get it working.
setMapObjectCenter | Set the mapObject to the specified center and zoom
getMapObjectCenter | {Object} The mapObject’s current center in Map Object format
getMapObjectZoom | {Integer} The mapObject’s current zoom, in Map Object format
getMapObjectLonLatFromMapObjectPixel |
getMapObjectPixelFromMapObjectLonLat |
getLongitudeFromMapObjectLonLat |
getLatitudeFromMapObjectLonLat |
getMapObjectLonLatFromLonLat |
getXFromMapObjectPixel |
getYFromMapObjectPixel |
getMapObjectPixelFromXY |

### Constants

### MIN_ZOOM_LEVEL

{Integer} 1

### MAX_ZOOM_LEVEL

{Integer} 17

### RESOLUTIONS

{Array(Float)} Hardcode these resolutions so that they are more closely tied with the standard wms projection

### Properties

### type

{?}

### Constructor

### OpenLayers.Layer.MultiMap

#### Parameters

name | {String}
options | {Object}

### Functions

### getWarningHTML

> getWarningHTML:function()

#### Returns

{String} String with information on why layer is broken, how to get it working.

### setMapObjectCenter

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

#### Parameters

center | {Object} MapObject LonLat format
zoom | {int} MapObject zoom format

### getMapObjectCenter

> getMapObjectCenter: function()

#### Returns

{Object} The mapObject’s current center in Map Object format

### getMapObjectZoom

> getMapObjectZoom: function()

#### Returns

{Integer} The mapObject’s current zoom, in Map Object format

### getMapObjectLonLatFromMapObjectPixel

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Object} MapObject LonLat translated from MapObject Pixel

### getMapObjectPixelFromMapObjectLonLat

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Object} MapObject Pixel transtlated from MapObject LonLat

### getLongitudeFromMapObjectLonLat

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Longitude of the given MapObject LonLat

### getLatitudeFromMapObjectLonLat

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

#### Parameters

moLonLat | {Object} MapObject LonLat format

#### Returns

{Float} Latitude of the given MapObject LonLat

### getMapObjectLonLatFromLonLat

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

#### Parameters

lon | {Float}
lat | {Float}

#### Returns

{Object} MapObject LonLat built from lon and lat params

### getXFromMapObjectPixel

> getXFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} X value of the MapObject Pixel

### getYFromMapObjectPixel

> getYFromMapObjectPixel: function( | moPixel | )

#### Parameters

moPixel | {Object} MapObject Pixel format

#### Returns

{Integer} Y value of the MapObject Pixel

### getMapObjectPixelFromXY

> getMapObjectPixelFromXY: function( | x,
> | y | )

#### Parameters

x | {Integer}
y | {Integer}

#### Returns

{Object} MapObject Pixel from x and y parameters

> getWarningHTML:function()

{String} String with information on why layer is broken, how to get it working.

> setMapObjectCenter: function( | center,
> | zoom | )

Set the mapObject to the specified center and zoom

> getMapObjectCenter: function()

{Object} The mapObject’s current center in Map Object format

> getMapObjectZoom: function()

{Integer} The mapObject’s current zoom, in Map Object format

> getMapObjectLonLatFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromMapObjectLonLat: function( | moLonLat | )

> getLongitudeFromMapObjectLonLat: function( | moLonLat | )

> getLatitudeFromMapObjectLonLat: function( | moLonLat | )

> getMapObjectLonLatFromLonLat: function( | lon,
> | lat | )

> getXFromMapObjectPixel: function( | moPixel | )

> getYFromMapObjectPixel: function( | moPixel | )

> getMapObjectPixelFromXY: function( | x,
> | y | )

Base class for 3rd party layers.
Some Layers will already have established zoom levels (like google or ve).
Close